<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * file
 *
 * @package   local_helpdesk
 * @copyright 2025 Eduardo Kraus {@link http://eduardokraus.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['addcategory'] = 'Adicionar Nova Categoria';
$string['addticket'] = 'Adicionar Ticket';
$string['assignedto'] = 'Atribuído a';
$string['attachment'] = 'Anexos';
$string['cancel'] = 'Cancelar';
$string['categories'] = 'Categorias de Ticket';
$string['categorieslist'] = 'Lista de Categorias';
$string['category'] = 'Categoria';
$string['category_role_description'] = 'Função específica para controlar o acesso do usuário à gestão de Tickets.';
$string['category_users_all'] = 'Todos os usuários do Moodle';
$string['category_users_info'] = 'Primeiro, salve a categoria antes de editar os usuários.';
$string['category_users_responses'] = 'Usuários que respondem a esta categoria';
$string['category_users_title'] = 'Define os usuários com permissão para responder e que receberão um e-mail sobre novos tickets';
$string['categoryadded'] = 'Categoria adicionada com sucesso';
$string['categorycreated'] = 'Categoria criada com sucesso';
$string['categorydeleted'] = 'Categoria excluída com sucesso';
$string['categorydescription'] = 'Descrição da Categoria';
$string['categoryname'] = 'Nome da Categoria';
$string['categorynotfound'] = 'Categoria não encontrada';
$string['categoryupdated'] = 'Categoria atualizada com sucesso';
$string['comments'] = 'Comentários';
$string['confirmdelete'] = 'Tem certeza de que deseja excluir esta categoria?';
$string['confirmdeletecategory'] = 'Tem certeza de que deseja excluir esta categoria?';
$string['createcategory'] = 'Criar Categoria';
$string['deletecategory'] = 'Excluir Categoria';
$string['deletecategoryusedata'] = 'Esta categoria possui tickets';
$string['deletesuccesscategory'] = 'Categoria excluída com sucesso';
$string['description'] = 'Descrição';
$string['editcategory'] = 'Editar Categoria';
$string['editticket'] = 'Editar Ticket';
$string['error:emptyname'] = 'O nome da categoria não pode estar vazio';
$string['erroraddcategory'] = 'Erro ao adicionar categoria';
$string['errordeletecategory'] = 'Erro ao excluir categoria';
$string['errorinsertingcategory'] = 'Erro ao adicionar categoria';
$string['errorinsertingticket'] = 'Erro ao inserir ticket';
$string['errorupdatecategory'] = 'Erro ao atualizar categoria';
$string['errorupdatingcategory'] = 'Erro ao atualizar categoria';
$string['errorupdatingticket'] = 'Erro ao atualizar ticket';
$string['findcourse'] = 'Selecionar um Curso';
$string['finduser'] = 'Selecionar um Usuário';
$string['helpdesk:categorydelete'] = 'Permite excluir categorias.';
$string['helpdesk:ticketmanage'] = 'Permite gerenciar o Helpdesk, incluindo responder e fechar tickets.';
$string['helpdesk:view'] = 'Permite visualizar tickets do Helpdesk e criar novos para si mesmo.';
$string['helpdesk_manage_users'] = 'Ver usuários com permissão para gerenciar esta categoria de função';
$string['integracaoroot'] = 'Integração';
$string['lognewcategory'] = 'Categoria alterada para <strong>{$a}</strong>!';
$string['lognewpriority'] = 'Prioridade alterada para <strong>{$a}</strong>!';
$string['lognewstatus'] = 'Status alterado para <strong>{$a}</strong>!';
$string['lognowupdate'] = 'Nenhuma alteração realizada!';

$string['mailticket_create_message'] = '<p><strong>{[moodle.fullname]}</strong> >> <strong>{[event.helpdesk]}</strong> >> <strong>{[event.categorylink]}</strong> >> <strong>{[event.subjectlink]}</strong> - Ticket <strong>#{[event.tiketidlink]}</strong></p>
<p>Prezado(a) {[to.fullname]},</p>
<p>{[from.fullname]} criou o ticket #{[event.tiketidlink]}:</p>
<blockquote style="border-left: 4px solid #9E9E9E;padding-left: 7px;">
{[event.text]}
{[event.attachment]}
</blockquote>
<p>Atenciosamente,<br>
Equipe de Suporte</p>';

$string['mailticket_subject'] = '{[event.subjectname]} - Ticket: #{[event.tiketidname]}';

$string['mailticket_update_message'] = '<p><strong>{[moodle.fullname]}</strong> >> <strong>{[event.helpdesk]}</strong> >> <strong>{[event.categorylink]}</strong> >> <strong>{[event.subjectlink]}</strong> - Ticket <strong>#{[event.tiketidlink]}</strong></p>
<p>Prezado(a) {[to.fullname]},</p>
<p>Nosso time revisou o seu caso e adicionou novas informações:</p>
<blockquote style="border-left: 4px solid #9E9E9E;padding-left: 7px;">
{[event.text]}
{[event.attachment]}
</blockquote>
<p>Por favor, acesse o ticket #{[event.tiketidlink]} para visualizar a atualização e fornecer quaisquer detalhes adicionais, se necessário. Estamos à disposição para continuar auxiliando e resolver sua solicitação o mais rápido possível.</p>
<p>Atenciosamente,<br>
Equipe de Suporte</p>';

$string['mailticket_user_message'] = '<p><strong>{[moodle.fullname]}</strong> >> <strong>{[event.tiketidlink]}</strong> >> <strong>{[event.categorylink]}</strong> >> <strong>{[event.subjectlink]}</strong> - Ticket <strong>#{[event.tiketidlink]}</strong></p>
<p>Prezado(a) {[to.fullname]},</p>
<p>Recebemos a sua solicitação:</p>
<blockquote style="border-left: 4px solid #9E9E9E;padding-left: 7px;">
{[event.text]}
{[event.attachment]}
</blockquote>
<p>Caso ainda não tenha feito, você pode adicionar mais detalhes ao seu ticket #{[event.tiketidlink]}, como logs, mensagens de erro, capturas de tela, descrições passo a passo ou etapas de replicação que possam ajudar o agente de suporte a atendê-lo de forma mais eficaz.</p>
<p>Nosso time está trabalhando na análise do seu problema e irá acompanhar conforme necessário. Agradecemos sua paciência e compreensão.</p>
<p>Atenciosamente,<br>
Equipe de Suporte</p>';

$string['openuserby'] = 'Aberto por';
$string['pluginname'] = 'Helpdesk';
$string['priority'] = 'Prioridade';
$string['priority_high'] = 'Alta';
$string['priority_low'] = 'Baixa';
$string['priority_medium'] = 'Média';
$string['priority_urgent'] = 'Urgente';
$string['savechanges'] = 'Salvar alterações';
$string['setting_course'] = 'Mostrar apenas dentro do curso';
$string['setting_menu_description'] = 'Selecione se deseja exibir o menu do HelpDesk no menu do sistema na parte superior do Moodle.';
$string['setting_menu_title'] = 'Exibir no menu';
$string['setting_none'] = 'Não exibir';
$string['setting_system'] = 'Exibir em todo o sistema';
$string['status'] = 'Status';
$string['status_closed'] = 'Fechado';
$string['status_open'] = 'Aberto';
$string['status_progress'] = 'Em andamento';
$string['status_resolved'] = 'Resolvido';
$string['subject'] = 'Assunto';
$string['ticketassignedto'] = 'Atribuir ao usuário';
$string['ticketcategory'] = 'Categoria do ticket';
$string['ticketclosed'] = 'O ticket está fechado.';
$string['ticketcreated'] = 'Ticket criado com sucesso';
$string['ticketcreatedat'] = 'Criado em';
$string['ticketdescription'] = 'Descrição detalhada do ticket';
$string['ticketid'] = 'Ticket';
$string['ticketmessage'] = 'Mensagem';
$string['ticketnotfound'] = 'Ticket não encontrado';
$string['ticketpriority'] = 'Prioridade do ticket';
$string['ticketpriorityhigh'] = 'Alta';
$string['ticketprioritylow'] = 'Baixa';
$string['ticketprioritymedium'] = 'Média';
$string['ticketpriorityurgent'] = 'Urgente';
$string['tickets'] = 'Todos os tickets';
$string['ticketslist'] = 'Lista de tickets';
$string['ticketstatus'] = 'Status do ticket';
$string['ticketstatusclosed'] = 'Fechado';
$string['ticketstatusinprogress'] = 'Em andamento';
$string['ticketstatusnotclosed'] = 'Todos, exceto Fechados';
$string['ticketstatusopen'] = 'Aberto';
$string['ticketstatusresolved'] = 'Resolvido';
$string['ticketsubject'] = 'Assunto do ticket';
$string['ticketupdated'] = 'Ticket atualizado com sucesso';
$string['updatecategory'] = 'Atualizar categoria';
$string['userid'] = 'ID do usuário';
$string['viewticket'] = 'Visualizar ticket';

$string['geniai_btn_create'] = 'Criar uma resposta com IA';
$string['geniai_create_desc'] = 'Descreva o que quer que gere. O GeniAI usará todas as conversas como base para criar uma resposta, mas preciso que defina quais dados queres escrever.';
$string['geniai_missing'] = 'Instale e configure o plugin <a href="{$a}" target="_blank">GenIA</a> para habilitar respostas com inteligência artificial.';
$string['geniai_title'] = 'Inteligência Artificial';



$string['report_general_reports_page_title'] = 'Relatórios Gerais';
$string['report_general_reports_page_description'] = 'Relatório geral sobre os tickets abertos e fechados, fornecendo uma visão geral sobre o desempenho do sistema de atendimento ao cliente.';
$string['report_general_reports_avg_time_first_response_avg_response_time'] = 'Tempo médio';
$string['report_general_reports_avg_time_first_response_cat_title'] = 'média de tempo entre a abertura do ticket e a primeira resposta';
$string['report_general_reports_tickets_created_by_period_data_criacao'] = 'Data de criação';
$string['report_general_reports_tickets_created_by_period_total_tickets'] = 'Total de tickets';
$string['report_general_reports_tickets_created_by_period_cat_title'] = 'Tickets Criados por Período';
$string['report_general_reports_tickets_resolved_by_period_period'] = 'Periodo';
$string['report_general_reports_tickets_resolved_by_period_total_resolved'] = 'Total de tickets resolvidos';
$string['report_general_reports_tickets_resolved_by_period_cat_title'] = 'Tickets Resolvidos por Período';
$string['report_general_reports_avg_resolution_time_total_tickets'] = 'Total de tickets';
$string['report_general_reports_avg_resolution_time_avg_resolution_time_hours'] = 'Tempo médio de resposta';
$string['report_general_reports_avg_resolution_time_cat_title'] = 'Tempo Médio de Resolução';

$string['report_user_reports_page_title'] = 'Relatórios de Usuários';
$string['report_user_reports_page_description'] = 'Relatório sobre os usuários que mais criaram tickets, com dados sobre o número de tickets e o tempo de resposta associado.';
$string['report_user_reports_users_with_most_tickets_open_userid'] = 'userid';
$string['report_user_reports_users_with_most_tickets_open_cat_title'] = 'Usuários com Mais Tickets Abertos';
$string['report_user_reports_avg_response_time_by_user_userid'] = 'userid';
$string['report_user_reports_avg_response_time_by_user_cat_title'] = 'Tempo Médio de Resposta por Usuário';

$string['report_category_reports_page_title'] = 'Relatórios de Categorias';
$string['report_category_reports_page_description'] = 'Relatório sobre as categorias de tickets, ajudando a identificar áreas mais frequentes de suporte e os problemas mais comuns.';
$string['report_category_reports_most_demanded_categories_cat_title'] = 'Categorias Mais Demandadas';
$string['report_category_reports_avg_resolution_time_by_category_cat_title'] = 'Tempo Médio de Resolução por Categoria';

$string['report_status_priority_reports_page_title'] = 'Relatórios de Status e Prioridade';
$string['report_status_priority_reports_page_description'] = 'Relatório sobre o status e a prioridade dos tickets, incluindo dados sobre tickets abertos, em progresso, resolvidos e fechados.';
$string['report_status_priority_reports_tickets_by_status_cat_title'] = 'Tickets Abertos por Status';
$string['report_status_priority_reports_priority_distribution_cat_title'] = 'Distribuição de Prioridades';

$string['report_assignment_reports_page_title'] = 'Relatórios de Atribuição';
$string['report_assignment_reports_page_description'] = 'Relatório sobre a distribuição e o desempenho dos atendentes responsáveis pelos tickets.';
$string['report_assignment_reports_tickets_by_agent_cat_title'] = 'Tickets por Atendente';

$string['report_response_reports_page_title'] = 'Relatórios de Respostas';
$string['report_response_reports_page_description'] = 'Relatório sobre as respostas fornecidas aos tickets, incluindo o tempo de resposta e as interações dos atendentes.';
$string['report_response_reports_avg_responses_per_ticket_media_respostas_por_ticket'] = 'Media de respostas';
$string['report_response_reports_avg_responses_per_ticket_cat_title'] = 'Quantidade média de Respostas por Ticket';
